<?php
class AddColumnsForDeliveryAndSurchargeSubtotalsAndVATs extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'rename_field' => array(
				'ev_checkout_orders' => array(
					'delivery_cost' => 'delivery_total',
					'delivery_surcharge' => 'surcharge_total',
				)
			),
			'create_field' => array(
				'ev_checkout_orders' => array(
					'processed_by' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'user_id'),
					'delivery_subtotal' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'after' => 'subtotal'),
					'delivery_vat' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'after' => 'delivery_subtotal'),
					'surcharge_subtotal' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'after' => 'delivery_total'),
					'surcharge_vat' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'after' => 'surcharge_subtotal'),
				),
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'order_time' => array('type' => 'datetime', 'null' => true, 'default' => null),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_checkout_orders' => array('processed_by', 'delivery_subtotal', 'delivery_vat', 'surcharge_subtotal', 'surcharge_vat',),
			),
			'rename_field' => array(
				'ev_checkout_orders' => array(
					'delivery_total' => 'delivery_cost',
					'surcharge_total' => 'delivery_surcharge',
				)
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'order_time' => array('type' => 'datetime', 'null' => false, 'default' => null),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
